<?php
/**
 * Template Name: About Page
 *
 * Description: This is a custom template for displaying about page.
 */
get_header();

$featured_image_url = esc_url(wp_upload_dir()['baseurl'].'/2025/05/casc.jpg');
if (has_post_thumbnail()) {
    $featured_image_id = get_post_thumbnail_id();
    $featured_image_url = wp_get_attachment_url($featured_image_id);
}
?>
<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri()); ?>/css/department.css" type="text/css">
<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri()); ?>/css/custom-header.css" type="text/css">
<div class="custom-head" style="background-image: url('<?php echo esc_url($featured_image_url); ?>');">
    <div class="overlay"></div>
    <div class="custom-head-content">
        <span class="page-title">About Us</span>
    </div>
</div>
<div id="primary" class="content-area">
    <main id="main" class="site-main">
		<div class="dep-menus">
			<ul class="dep-menus-list">
				<li><a href="<?php echo esc_url(home_url('/about/profile/')); ?>"><div class="dep-menu-icon <?php if(is_page('profile')){ echo 'ic-active'; } ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/profile.svg" alt="Profile"></div><span>PROFILE</span></a></li>
				<li><a href="<?php echo esc_url(home_url('/about/vision-mission/')); ?>"><div class="dep-menu-icon <?php if(is_page('vision-mission')){ echo 'ic-active'; } ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/vision.svg" alt="Vision"></div><span>VISION & MISSION</span></a></li>
				<li><a href="<?php echo esc_url(home_url('/about/founder/')); ?>"><div class="dep-menu-icon <?php if(is_page('founder')){ echo 'ic-active'; } ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/user.svg" alt="Founder"></div><span>FOUNDER</span></a></li>
				<li><a href="<?php echo esc_url(home_url('/about/dean/')); ?>"><div class="dep-menu-icon <?php if(is_page('dean')){ echo 'ic-active'; } ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/user.svg" alt="Dean"></div><span>DEAN</span></a></li>
				<li><a href="<?php echo esc_url(home_url('/about/principal/')); ?>"><div class="dep-menu-icon <?php if(is_page('principal')){ echo 'ic-active'; } ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/user.svg" alt="Principal"></div><span>PRINCIPAL</span></a></li>
				<li><a href="<?php echo esc_url(home_url('/about/patrons/')); ?>"><div class="dep-menu-icon <?php if(is_page('patrons')){ echo 'ic-active'; } ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/team.svg" alt="Patrons"></div><span>PATRONS</span></a></li>
				<li><a href="<?php echo esc_url(home_url('/about/administration/')); ?>"><div class="dep-menu-icon <?php if(is_page('administration')){ echo 'ic-active'; } ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/team.svg" alt="Administration"></div><span>ADMINISTRATION</span></a></li>
				<li><a href="<?php echo esc_url(home_url('/about/managing-committee/')); ?>"><div class="dep-menu-icon <?php if(is_page('managing-committee')){ echo 'ic-active'; } ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/team.svg" alt="Managing Committee"></div><span>MANAGING COMMITTEE</span></a></li>
				<li><a href="<?php echo esc_url(home_url('/about/mandatory-disclosure/')); ?>"><div class="dep-menu-icon <?php if(is_page('mandatory-disclosure')){ echo 'ic-active'; } ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/resource.svg" alt="Mandatory Disclosure"></div><span>MANDATORY DISCLOSURE</span></a></li>
			</ul>
		</div>
		<div class="dep-title"><?php echo esc_html(get_the_title()); ?></div>
		<div class="dep-page">
            <?php
            // Start the loop.
            while (have_posts()) : the_post();
                // Output the post content
                the_content();
            // End the loop.
            endwhile;
            ?>
		</div>
    </main>
</div>
<?php 
get_footer();