<?php
/**
 * Template Name: Academics Page
 *
 * Description: This is a custom template for displaying academics page.
 */
get_header();

$featured_image_url = esc_url(wp_upload_dir()['baseurl'].'/2025/05/casc.jpg');
if (has_post_thumbnail()) {
    $featured_image_id = get_post_thumbnail_id();
    $featured_image_url = wp_get_attachment_url($featured_image_id);
}
?>
<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri()); ?>/css/department.css" type="text/css">
<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri()); ?>/css/custom-header.css" type="text/css">
<div class="custom-head" style="background-image: url('<?php echo esc_url($featured_image_url); ?>');">
    <div class="overlay"></div>
    <div class="custom-head-content">
        <span class="page-title">Academics</span>
    </div>
</div>
<div id="primary" class="content-area">
    <main id="main" class="site-main">
		<div class="dep-menus">
			<ul class="dep-menus-list">
				<li><a href="<?php echo esc_url(home_url('/academics/programmes/')); ?>"><div class="dep-menu-icon <?php if(is_page('programmes')){ echo 'ic-active'; } ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/graduation.svg" alt="Programmes"></div><span>PROGRAMMES</span></a></li>
				<li><a href="<?php echo esc_url(home_url('/academics/add-on-courses/')); ?>"><div class="dep-menu-icon <?php if(is_page('add-on-courses')){ echo 'ic-active'; } ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/addon.svg" alt="Add-on Courses"></div><span>ADD-ON COURSES</span></a></li>
				<li><a href="<?php echo esc_url(home_url('/academics/roll-of-honour/')); ?>"><div class="dep-menu-icon <?php if(is_page('roll-of-honour')){ echo 'ic-active'; } ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/honour.svg" alt="Roll of Honour"></div><span>ROLL OF HONOUR</span></a></li>
				<li><a href="<?php echo esc_url(home_url('/academics/exam-time-table/')); ?>"><div class="dep-menu-icon <?php if(is_page('exam-time-table')){ echo 'ic-active'; } ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/table.svg" alt="Exam Time Table"></div><span>EXAM TIME TABLE</span></a></li>
				<li><a href="<?php echo esc_url(home_url('/academics/examination-calendar/')); ?>"><div class="dep-menu-icon <?php if(is_page('examination-calendar')){ echo 'ic-active'; } ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/calendar.svg" alt="Examination Calendar"></div><span>EXAMINATION CALENDAR</span></a></li>
				<li><a href="<?php echo esc_url(home_url('/academics/college-handbook/')); ?>"><div class="dep-menu-icon <?php if(is_page('college-handbook')){ echo 'ic-active'; } ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/book.svg" alt="College Handbook"></div><span>COLLEGE HANDBOOK</span></a></li>
				<li><a href="<?php echo esc_url(home_url('/academics/academic-calendar/')); ?>"><div class="dep-menu-icon <?php if(is_page('academic-calendar')){ echo 'ic-active'; } ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/calendar.svg" alt="Academic Calendar"></div><span>ACADEMIC CALENDAR</span></a></li>
				<li><a href="http://www.exam.kannuruniversity.ac.in/" target="_blank"><div class="dep-menu-icon"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/web.svg" alt="University Exam Portal"></div><span>UNIVERSITY EXAM PORTAL</span></a></li>
			</ul>
		</div>
		<div class="dep-title"><?php echo esc_html(get_the_title()); ?></div>
		<div class="dep-page">
            <?php
            // Start the loop.
            while (have_posts()) : the_post();
                // Output the post content
                the_content();
            // End the loop.
            endwhile;
            ?>
		</div>
    </main>
</div>
<?php 
get_footer();