<?php
/**
 * Template Name: Admission Page
 *
 * Description: This is a custom template for displaying admission page.
 */
get_header();

$featured_image_url = esc_url(wp_upload_dir()['baseurl'].'/2025/05/casc.jpg');
if (has_post_thumbnail()) {
    $featured_image_id = get_post_thumbnail_id();
    $featured_image_url = wp_get_attachment_url($featured_image_id);
}
?>
<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri()); ?>/css/department.css" type="text/css">
<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri()); ?>/css/custom-header.css" type="text/css">
<div class="custom-head" style="background-image: url('<?php echo esc_url($featured_image_url); ?>');">
    <div class="overlay"></div>
    <div class="custom-head-content">
        <span class="page-title">Admission</span>
    </div>
</div>
<div id="primary" class="content-area">
    <main id="main" class="site-main">
		<div class="dep-menus">
			<ul class="dep-menus-list">
				<li><a href="<?php echo esc_url(home_url('/admission/application/')); ?>"><div class="dep-menu-icon <?php if(is_page('application')){ echo 'ic-active'; } ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/add.svg" alt="Application"></div><span>APPLICATION</span></a></li>
				<li><a href="<?php echo esc_url(home_url('/admission/committee/')); ?>"><div class="dep-menu-icon <?php if(is_page('committee')){ echo 'ic-active'; } ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/team.svg" alt="Committee"></div><span>COMMITTEE</span></a></li>
				<li><a href="<?php echo esc_url(home_url('/admission/prospectus/')); ?>"><div class="dep-menu-icon <?php if(is_page('prospectus')){ echo 'ic-active'; } ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/document.svg" alt="Prospectus"></div><span>PROSPECTUS</span></a></li>
				<li><a href="#"><div class="dep-menu-icon"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/web.svg" alt="UG CAP Website"></div><span>UG CAP WEBSITE</span></a></li>
				<li><a href="<?php echo esc_url(home_url('/admission/fee-structure/')); ?>"><div class="dep-menu-icon <?php if(is_page('fee-structure')){ echo 'ic-active'; } ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/payment.svg" alt="Fee Structure"></div><span>FEE STRUCTURE</span></a></li>
		    </ul>
		</div>
		<div class="dep-title"><?php echo esc_html(get_the_title()); ?></div>
		<div class="dep-page">
            <?php
            // Start the loop.
            while (have_posts()) : the_post();
                // Output the post content
                the_content();
            // End the loop.
            endwhile;
            ?>
		</div>
    </main>
</div>
<?php 
get_footer();