<?php
/**
 * Template Name: Clubs Page
 *
 * Description: This is a custom template for displaying Clubs page.
 */
get_header();

global $wpdb;

$url = 'https://chinmayaportal.relents.in/public/uploads/';

$featured_image_url = esc_url(wp_upload_dir()['baseurl'].'/2025/05/casc.jpg');
if (has_post_thumbnail()) {
    $featured_image_id = get_post_thumbnail_id();
    $featured_image_url = wp_get_attachment_url($featured_image_id);
}

$title = 'Club';
if(isset($_GET['cid'])){
    $cid = $_GET['cid'];
    $support = $wpdb->get_row($wpdb->prepare("SELECT * FROM supports WHERE id='$cid'"));
    $title = $support->title;
    $members = $wpdb->get_results($wpdb->prepare("SELECT * FROM support_members WHERE support_id='$cid'"));
    $activities = $wpdb->get_results($wpdb->prepare("SELECT * FROM support_activities WHERE support_id='$cid' ORDER BY id desc LIMIT 12"));
    $reports = $wpdb->get_results($wpdb->prepare("SELECT * FROM support_reports WHERE support_id='$cid'"));
    $galleries = $wpdb->get_results($wpdb->prepare("SELECT * FROM support_galleries WHERE support_id='$cid' ORDER BY id desc LIMIT 12"));
    $notifications = $wpdb->get_results($wpdb->prepare("SELECT * FROM support_notifications WHERE support_id='$cid'"));
} ?>
<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri()); ?>/css/page.css" type="text/css">
<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri()); ?>/css/team.css" type="text/css">
<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri()); ?>/css/custom-header.css" type="text/css">
<div class="custom-head" style="background-image: url('<?php echo esc_url($featured_image_url); ?>');">
    <div class="overlay"></div>
    <div class="custom-head-content">
        <span class="page-title"><?=$title;?></span>
    </div>
</div>
<div id="primary" class="content-area">
    <main id="main" class="site-main">
		<div class="page-content">
            <div class="row">
                <div class="col-12 col-sm-9" style="padding: 10px;">
                    <div class="row">
                        <div class="col-12 col-sm-3" style="padding: 10px;">
                            <? if($support->image!=''){ ?>
                                <img src="<?=$url.$support->image;?>" loading="lazy" class="img-fluid">
                            <? } ?>
                        </div>
                        <div class="col-12 col-sm-9" style="text-align: justify; text-indent: 50px; padding: 10px;">
                            <?=$support->description;?>
                        </div>
                    </div>
                    <? if($support->staff_name!=''){ ?>
                        <div class="row">
                            <div class="col-12" style="padding: 10px;">
                                <div class="section-title">Staff in Charge</div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12 col-sm-3" style="padding: 10px; text-align: center;">
                                <? if($support->staff_image!=''){ ?>
                                    <img src="<?=$url.$support->staff_image;?>" loading="lazy" class="img-fluid">
                                <? } ?>
                                <div class="staff-name"><?=$support->staff_name;?></div>
                                <div class="staff-det"><?=$support->staff_desig;?></div>
                            </div>
                            <div class="col-12 col-sm-9" style="padding: 10px;">
                            </div>
                        </div>
                    <? } ?>
                    <? if(!empty($members)){ ?>
                        <div class="row">
                            <div class="col-12" style="padding: 10px;">
                                <div class="section-title">Members</div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12" style="padding: 10px;">
                                <div class="team-grid">
                                    <? foreach($members as $member){ 
                                        $image = 'dummy-user.jpg';
                                        if($member->image){ $image = $member->image; } ?>
                                        <div class="team-item">
                                            <div class="team-image"><img src="<?=$url.$image;?>" alt="<?=$member->name;?>"></div>
                                            <div class="team-title"><?=strtoupper($member->name);?></div>
                                            <div class="team-description"><?=$member->row1;?></div>
                                            <div class="team-description"><?=$member->row2;?></div>
                                            <div class="team-description"><?=$member->row3;?></div>
                                        </div>
                                    <? } ?>
                                </div>
                            </div>
                        </div>
                    <? } ?>
                    <? if(!empty($activities)){ ?>
                        <div class="row">
                            <div class="col-12" style="padding: 10px;">
                                <div class="section-title">Activities</div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12" style="padding: 10px;">
                                <div class="sjc-event">
                                    <div class="sjc-event-body">
                                        <div class="sjc-event-container">
                                            <? foreach($activities as $activity){ 
                                                $image = 'dummy-image.jpg';
                                                if($activity->image){ $image = $activity->image; } ?>
                                                <div class="sjc-event-item">
                                                    <div class="sjc-event-item-thumb"><img src="<?=$url.$image;?>"></div>
                                                    <div class="sjc-event-item-date"></div>
                                                    <div class="sjc-event-item-title"><?=$activity->title;?></div>
                                                    <div class="sjc-event-item-content"><?=wp_trim_words( $activity->description, 25,'...');?></div>
                                                    <div class="sjc-event-item-view"><a class="sjc-event-item-button" href="#">Read More</a></div>
                                                </div>
                                            <? } ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    <? } ?>
                    <? if(!empty($reports)){ ?>
                        <div class="row">
                            <div class="col-12" style="padding: 10px;">
                                <div class="section-title">Reports</div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12" style="padding: 10px;">
                                <table class="table table-bordered">
                                    <thead>
                                    <tr>
                                        <th width="80%">Title</th>
                                        <th width="20%">Download</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                        <? foreach($reports as $report){ ?>
                                            <tr>
                                                <td><?=$report->title;?></td>
                                                <td><a href="<?=$url.$report->attachment;?>" class="btn btn-danger">Download</a></td>
                                            </tr>
                                        <? } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    <? } ?>
                    <? if(!empty($galleries)){ ?>
                        <div class="row">
                            <div class="col-12" style="padding: 10px;">
                                <div class="section-title">Gallery</div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12" style="padding: 10px;">
                                <div class="gallery">
                                    <? foreach($galleries as $gallery){ ?>
                                        <div class="gallery-item">
                                            <img src="<?=$url.$gallery->image;?>" onclick="openModal(this)">
                                        </div>
                                    <? } ?>
                                </div>
                                <div id="imageModal" style="display:none;">
                                    <span onclick="closeModal()" style="cursor:pointer;">&times;</span>
                                    <img id="modalImage" style="width:100%;">
                                </div>
                            </div>
                        </div>
                    <? } ?>
                </div>
                <div class="col-12 col-sm-3" style="padding: 10px;">
                    <div class="row">
                        <div class="col-12" style="padding: 10px;">
                            <div class="section-title">Notifications</div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-12" style="padding: 10px;">
                            <div class="notification">
                                <? foreach($notifications as $notification){ ?>
                                    <div class="notification-item"><i class="fa-solid fa-angles-right"></i> <?=$notification->title; ?></div>
                                <? } ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
		</div>
    </main>
</div>
<script src="<?php echo esc_url(get_template_directory_uri()); ?>/js/gallery.js"></script>
<?php 
get_footer();