<?php
/**
 * Template Name: Committee Page
 *
 * Description: This is a custom template for displaying committee page.
 */
get_header();

global $wpdb;

$url = 'https://chinmayaportal.relents.in/public/uploads/';
$featured_image_url = esc_url(wp_upload_dir()['baseurl'].'/2025/05/casc.jpg');
if (has_post_thumbnail()) {
    $featured_image_id = get_post_thumbnail_id();
    $featured_image_url = wp_get_attachment_url($featured_image_id);
}

if($_GET['cid'] && $_GET['cid']!=''){ 
    $cid = $_GET['cid'];
    $result = $wpdb->get_row($wpdb->prepare("SELECT * FROM committees WHERE id='$cid'"));
    $reports = $wpdb->get_results($wpdb->prepare("SELECT * FROM annualreports WHERE committee_id='$cid'"));
    $photo_count = $wpdb->get_var($wpdb->prepare("SELECT COUNT(*) FROM committee_galleries WHERE committee_id='%d'", $cid));
    $event_count = $wpdb->get_var($wpdb->prepare("SELECT COUNT(*) FROM committee_events WHERE committee_id='%d'", $cid));
} ?>
<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri()); ?>/css/committee.css?version=1.59" type="text/css">
<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri()); ?>/css/custom-header.css" type="text/css">
<div class="custom-head" style="background-image: url('<?php echo esc_url($featured_image_url); ?>');">
    <div class="overlay"></div>
    <div class="custom-head-content">
        <span class="page-title"><?=$result->name;?></span>
    </div>
</div>
<div id="primary" class="content-area">
    <main id="main" class="site-main">
		<? if($result){?>
            <div class="row">
                <div class="col-12">
                    <div class="committe-description"><?=$result->description;?></div>
                </div>
            </div>
            <div class="row">
                <div class="col-12">
                    <div class="committe-heading">Committee Members</div>
                </div>
            </div>
            <div class="row">
                <div class="col-12 p-5">
                    <div class="committe-list"><?=do_shortcode('[committee_grid id="'.$result->id.'"]');?></div>
                </div>
            </div>
            <? if(!empty($reports)){ ?>
                <div class="row">
                    <div class="col-12">
                        <div class="committe-heading">Reports</div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12 p-5">
                        <table class="table table-bordered">
                            <thead>
                            <tr>
                                <th width="80%">Title</th>
                                <th width="20%">Download</th>
                            </tr>
                            </thead>
                            <tbody>
                                <? foreach($reports as $report){ ?>
                                    <tr>
                                        <td><?=$report->title;?></td>
                                        <td><a href="<?=$url.$report->attachment; ?>" class="btn btn-sm btn-danger" download>Download</a></td>
                                    </tr>
                                <? } ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            <? } ?>
            <? if($photo_count > 0){ ?>
                <div class="row">
                    <div class="col-12">
                        <div class="committe-heading">Gallery</div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12 p-5">
                        <div class="gallery"></div>
                        <div class="gallery-btn"><button type="button" class="btn btn-danger" id="more-photos">View More</button></div>
                        <div id="galleryModal" style="display:none;">
                            <span onclick="closeModal()" style="cursor:pointer;">&times;</span>
                            <img id="modalImage" style="width:100%;" loading="lazy">
                        </div>
                    </div>
                </div>
            <? } ?>
            <? if($event_count > 0){ ?>
                <div class="row">
                    <div class="col-12">
                        <div class="committe-heading">Events</div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12 p-5">
                        <div class="events"></div>
                        <div class="events-btn"><button type="button" class="btn btn-danger" id="more-events">View More</button></div>
                    </div>
                </div>
            <? } ?>
		<? } ?>
    </main>
</div>
<script src="<?php echo esc_url(get_template_directory_uri()); ?>/js/committee.js?version=1.155"></script>
<?php 
get_footer();