<?php
/**
 * Template Name: Default Page
 *
 * Description: This is a custom template for displaying about page.
 */
get_header();

$featured_image_url = esc_url(wp_upload_dir()['baseurl'].'/2025/05/casc.jpg');
if (has_post_thumbnail()) {
    $featured_image_id = get_post_thumbnail_id();
    $featured_image_url = wp_get_attachment_url($featured_image_id);
}
?>
<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri()); ?>/css/department.css" type="text/css">
<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri()); ?>/css/custom-header.css" type="text/css">
<div class="custom-head" style="background-image: url('<?php echo esc_url($featured_image_url); ?>');">
    <div class="overlay"></div>
    <div class="custom-head-content">
        <span class="page-title"><?php echo esc_html(get_the_title()); ?></span>
    </div>
</div>
<div id="primary" class="content-area">
    <main id="main" class="site-main">
		
            <?php
            // Start the loop.
            while (have_posts()) : the_post();
                // Output the post content
                the_content();
            // End the loop.
            endwhile;
            ?>
    </main>
</div>
<?php 
get_footer();