<?php
/**
 * Template Name: English Department
 *
 * Description: This is a custom template for displaying about page.
 */
get_header();

$featured_image_url = esc_url(wp_upload_dir()['baseurl'].'/2025/05/casc.jpg');
if (has_post_thumbnail()) {
    $featured_image_id = get_post_thumbnail_id();
    $featured_image_url = wp_get_attachment_url($featured_image_id);
}
?>
<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri()); ?>/css/department.css" type="text/css">
<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri()); ?>/css/custom-header.css" type="text/css">
<div class="custom-head" style="background-image: url('<?php echo esc_url($featured_image_url); ?>');">
    <div class="overlay"></div>
    <div class="custom-head-content">
        <span class="page-title">English Department</span>
    </div>
</div>
<div id="primary" class="content-area">
    <main id="main" class="site-main">
		<div class="dep-menus">
			<ul class="dep-menus-list">
				<li><a href="<?php echo esc_url(home_url('/departments/english/')); ?>"><div class="dep-menu-icon <?php if(is_page('english')){ echo 'ic-active'; } ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/profile.svg" alt="Overview"></div><span>OVERVIEW</span></a></li>
				<li><a href="<?php echo esc_url(home_url('/departments/english/policy-statements/')); ?>"><div class="dep-menu-icon <?php if(is_page('policy-statements')){ echo 'ic-active'; } ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/resource.svg" alt="Policy Statements"></div><span>POLICY STATEMENTS</span></a></li>
				<li><a href="<?php echo esc_url(home_url('/departments/english/programmes/')); ?>"><div class="dep-menu-icon <?php if(is_page('programmes')){ echo 'ic-active'; } ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/graduation.svg" alt="Programmes"></div><span>PROGRAMMES</span></a></li>
				<li><a href="<?php echo esc_url(home_url('/departments/english/faculty/')); ?>"><div class="dep-menu-icon <?php if(is_page('faculty')){ echo 'ic-active'; } ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/team.svg" alt="Faculty"></div><span>FACULTY</span></a></li>
				<li><a href="<?php echo esc_url(home_url('/departments/english/result/')); ?>"><div class="dep-menu-icon <?php if(is_page('result')){ echo 'ic-active'; } ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/result.svg" alt="Result"></div><span>RESULT</span></a></li>
				<li><a href="<?php echo esc_url(home_url('/departments/english/achievements/')); ?>"><div class="dep-menu-icon <?php if(is_page('achievements')){ echo 'ic-active'; } ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/trophy.svg" alt="Achievements"></div><span>ACHIEVEMENTS</span></a></li>
				<li><a href="<?php echo esc_url(home_url('/departments/english/events/')); ?>"><div class="dep-menu-icon <?php if(is_page('events')){ echo 'ic-active'; } ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/event.svg" alt="Events"></div><span>EVENTS</span></a></li>
				<li><a href="<?php echo esc_url(home_url('/departments/english/batch-photos/')); ?>"><div class="dep-menu-icon <?php if(is_page('batch-photos')){ echo 'ic-active'; } ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/camera.svg" alt="Batch Photos"></div><span>BATCH PHOTOS</span></a></li>
                <li><a href="<?php echo esc_url(home_url('/departments/english/syllabus/')); ?>"><div class="dep-menu-icon <?php if(is_page('syllabus')){ echo 'ic-active'; } ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/document.svg" alt="Syllabus"></div><span>SYLLABUS</span></a></li>
				<li><a href="<?php echo esc_url(home_url('/departments/english/question-bank/')); ?>"><div class="dep-menu-icon <?php if(is_page('question-bank')){ echo 'ic-active'; } ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/clarify.svg" alt="Question Bank"></div><span>QUESTION BANK</span></a></li>
			</ul>
		</div>
		<div class="dep-title"><?php echo esc_html(get_the_title()); ?></div>
		<div class="dep-page">
            <?php
            // Start the loop.
            while (have_posts()) : the_post();
                // Output the post content
                the_content();
            // End the loop.
            endwhile;
            ?>
		</div>
    </main>
</div>
<?php 
get_footer();