<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);


/**
 * Template Name: Enquiry Page
 *
 * Description: This is a custom template for displaying Enquiry page.
 */
get_header();

global $wpdb;

$featured_image_url = esc_url(wp_upload_dir()['baseurl'].'/2025/05/casc.jpg');
if (has_post_thumbnail()) {
    $featured_image_id = get_post_thumbnail_id();
    $featured_image_url = wp_get_attachment_url($featured_image_id);
}

$url = 'https://chinmayaportal.relents.in/public/uploads/';

$content = $wpdb->get_row($wpdb->prepare("SELECT * FROM enquiry_contents WHERE id=1"));
$photos = $wpdb->get_results($wpdb->prepare("SELECT * FROM enquiry_galleries WHERE deleted_at IS NULL ORDER BY id asc"));
$courses = $wpdb->get_results($wpdb->prepare("SELECT * FROM courses WHERE deleted_at IS NULL ORDER BY name"));
?>
<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri()); ?>/css/department.css?version=1.3" type="text/css">
<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri()); ?>/css/custom-header.css" type="text/css">
<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri()); ?>/css/banner.css" type="text/css">
<style>
    label.required:after {
        content: ' *';
        color: red;
    }
</style>
<div class="custom-head" style="background-image: url('<?php echo esc_url($featured_image_url); ?>');">
    <div class="overlay"></div>
    <div class="custom-head-content">
        <span class="page-title">Admission Enquiry</span>
    </div>
</div>
<div id="primary" class="content-area">
    <main id="main" class="site-main">
		<div class="dep-page form-pad">
            <div id="div-msg"></div>
            <div class="row">
                <div class="col-12 text-center">
                    <?php if($content->top_banner) { ?><img src="<?php echo $url.$content->top_banner;?>" class="image-fluid" alt="Top Banner"><?php } ?>
                </div>
            </div>
            <br>
            <div class="card card-primary feedback-form">
                <div class="card-body">
                    <div class="row">
                        <div class="col-12 col-sm-4"></div>
                        <div class="col-12 col-sm-4">
                            <form>
                                <div class="form-group">
                                    <label for="name" class="required">Name</label>
                                    <input type="text" class="form-control" id="name" name="name" placeholder="Enter Name" required>
                                </div>
                                <div class="form-group">
                                    <label for="place">Place</label>
                                    <input type="text" class="form-control" id="place" name="place" placeholder="Enter Place">
                                </div>
                                <div class="form-group">
                                    <label for="mobile" class="required">Mobile No</label>
                                    <input type="text" class="form-control" id="mobile" name="mobile" placeholder="Enter Mobile No" required>
                                </div>
                                <div class="form-group">
                                    <label for="email">Email</label>
                                    <input type="text" class="form-control" id="email" name="email" placeholder="Enter Email Id">
                                </div>
                                <div class="form-group">
                                    <label for="course" class="required">Course</label>
                                    <select class="form-control" id="course" name="course" required>
                                        <option value="">Select</option>
                                        <?php foreach($courses as $course){ ?>
                                            <option value="<?php echo $course->id;?>"><?php echo $course->name;?></option>
                                        <?php } ?>
                                    </select>
                                </div>
                                <button type="button" class="btn btn-primary" id="btn-submit">Submit</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <br>
            <div class="row">
                <div class="col-12 col-sm-6 text-center">
                    <?php if($content->bottom_banner1) { ?><img src="<?php echo $url.$content->bottom_banner1;?>" class="image-fluid" alt="Bottom Banner"><?php } ?>
                </div>
                <div class="col-12 col-sm-6 text-center">
                    <?php if($content->bottom_banner2) { ?><img src="<?php echo $url.$content->bottom_banner2;?>" class="image-fluid" alt="Bottom Banner"><?php } ?>
                </div>
            </div>
            <br>
            <div class="row">
                <div class="col-12 text-center">
                    <?php if(!empty($photos)) { ?>
                        <div class="banner-content">
                            <div class="banners">';
                                <?php foreach ($photos as $photo) { ?>
                                    <div class="banner active">
                                        <img src="<?php echo $url.$photo->image;?>" alt="<?php echo $photo->caption; ?>">
                                    </div>
                                <?php } ?>
                            </div>
                        </div>
                    <?php } ?>
                </div>
            </div>
		</div>
    </main>
</div>
<script src="<?php echo esc_url(get_template_directory_uri()); ?>/js/enquiry.js?version=1.1"></script>
<script src="<?php echo esc_url(get_template_directory_uri()); ?>/js/banner.js?version=1.1"></script>
<?php 
get_footer();