<?php
/**
 * Template Name: Facilities Page
 *
 * Description: This is a custom template for displaying Facilities page.
 */
get_header();

global $wpdb;

$url = 'https://chinmayaportal.relents.in/public/uploads/';

$featured_image_url = esc_url(wp_upload_dir()['baseurl'].'/2025/05/casc.jpg');
if (has_post_thumbnail()) {
    $featured_image_id = get_post_thumbnail_id();
    $featured_image_url = wp_get_attachment_url($featured_image_id);
}

$title = 'Facilities';
if(isset($_GET['fid'])){
    $fid = $_GET['fid'];
    $facility = $wpdb->get_row($wpdb->prepare("SELECT * FROM facilities WHERE id='$fid'"));
    $title = $facility->title;
    $members = $wpdb->get_results($wpdb->prepare("SELECT * FROM facility_members WHERE facility_id='$fid'"));
    $highlights = $wpdb->get_results($wpdb->prepare("SELECT * FROM facility_highlights WHERE facility_id='$fid' ORDER BY id desc LIMIT 12"));
    $galleries = $wpdb->get_results($wpdb->prepare("SELECT * FROM facility_galleries WHERE facility_id='$fid' ORDER BY id desc LIMIT 12"));
} ?>
<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri()); ?>/css/page.css" type="text/css">
<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri()); ?>/css/team.css" type="text/css">
<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri()); ?>/css/custom-header.css" type="text/css">
<div class="custom-head" style="background-image: url('<?php echo esc_url($featured_image_url); ?>');">
    <div class="overlay"></div>
    <div class="custom-head-content">
        <span class="page-title"><?=$title;?></span>
    </div>
</div>
<div id="primary" class="content-area">
    <main id="main" class="site-main">
		<div class="page-content">
            <div class="row">
                <div class="col-12 col-sm-9" style="padding: 10px;">
                    <div class="row">
                        <div class="col-12 col-sm-3" style="padding: 10px;">
                            <? if($facility->image!=''){ ?>
                                <img src="<?=$url.$facility->image;?>" loading="lazy" class="img-fluid">
                            <? } ?>
                        </div>
                        <div class="col-12 col-sm-9" style="text-align: justify; text-indent: 50px; padding: 10px;">
                            <?=$facility->description;?>
                        </div>
                    </div>
                    <? if($facility->staff_name!=''){ ?>
                        <div class="row">
                            <div class="col-12" style="padding: 10px;">
                                <div class="section-title">Staff in Charge</div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12 col-sm-3" style="padding: 10px; text-align: center;">
                                <? if($facility->staff_image!=''){ ?>
                                    <img src="<?=$url.$facility->staff_image;?>" loading="lazy" class="img-fluid">
                                <? } ?>
                                <div class="staff-name"><?=$facility->staff_name;?></div>
                                <div class="staff-det"><?=$facility->staff_desig;?></div>
                            </div>
                            <div class="col-12 col-sm-9" style="padding: 10px;">
                            </div>
                        </div>
                    <? } ?>
                    <? if(!empty($members)){ ?>
                        <div class="row">
                            <div class="col-12" style="padding: 10px;">
                                <div class="section-title">Members</div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12" style="padding: 10px;">
                                <div class="team-grid">
                                    <? foreach($members as $member){ 
                                        $image = 'dummy-user.jpg';
                                        if($member->image){ $image = $member->image; } ?>
                                        <div class="team-item">
                                            <div class="team-image"><img src="<?=$url.$image;?>" alt="<?=$member->name;?>"></div>
                                            <div class="team-title"><?=strtoupper($member->name);?></div>
                                            <div class="team-description"><?=$member->row1;?></div>
                                            <div class="team-description"><?=$member->row2;?></div>
                                            <div class="team-description"><?=$member->row3;?></div>
                                        </div>
                                    <? } ?>
                                </div>
                            </div>
                        </div>
                    <? } ?>
                    <? if(!empty($highlights)){ ?>
                        <div class="row">
                            <div class="col-12" style="padding: 10px;">
                                <div class="section-title">Highlights</div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12" style="padding: 10px;">
                                <ul class="highlight">
                                    <? foreach($highlights as $highlight){ ?>
                                        <li><i class="fa-solid fa-circle-right"></i> <?=$highlight->title; ?></li>
                                    <? } ?>
                                </ul>
                            </div>
                        </div>
                    <? } ?>
                    <? if(!empty($galleries)){ ?>
                        <div class="row">
                            <div class="col-12" style="padding: 10px;">
                                <div class="section-title">Gallery</div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12" style="padding: 10px;">
                                <div class="gallery">
                                    <? foreach($galleries as $gallery){ ?>
                                        <div class="gallery-item">
                                            <img src="<?=$url.$gallery->image;?>" onclick="openModal(this)">
                                        </div>
                                    <? } ?>
                                </div>
                                <div id="imageModal" style="display:none;">
                                    <span onclick="closeModal()" style="cursor:pointer;">&times;</span>
                                    <img id="modalImage" style="width:100%;">
                                </div>
                            </div>
                        </div>
                    <? } ?>
                </div>
                <div class="col-12 col-sm-3" style="padding: 10px;">
                    
                </div>
            </div>
		</div>
    </main>
</div>
<script src="<?php echo esc_url(get_template_directory_uri()); ?>/js/gallery.js"></script>
<?php 
get_footer();