<?php
/**
 * Template Name: Gallery Photos Page
 *
 * Description: This is a custom template for displaying committee page.
 */
get_header();

global $wpdb;

$url = 'https://chinmayaportal.relents.in/public/uploads/';
$featured_image_url = esc_url(wp_upload_dir()['baseurl'].'/2025/05/casc.jpg');
if (has_post_thumbnail()) {
    $featured_image_id = get_post_thumbnail_id();
    $featured_image_url = wp_get_attachment_url($featured_image_id);
}

$photos = [];
if(isset($_GET['aid']) && $_GET['aid']!='') {
    $aid = $_GET['aid'];
    $album = $wpdb->get_row($wpdb->prepare("SELECT * FROM albums WHERE id='$aid'"));
    $photos = $wpdb->get_results($wpdb->prepare("SELECT * FROM photos WHERE album_id='$aid' AND deleted_at IS NULL ORDER BY id ASC"));
} ?>
<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri()); ?>/css/department.css?version=1.3" type="text/css">
<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri()); ?>/css/custom-header.css" type="text/css">
<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri()); ?>/css/gallery.css" type="text/css">
<div class="custom-head" style="background-image: url('<?php echo esc_url($featured_image_url); ?>');">
    <div class="overlay"></div>
    <div class="custom-head-content">
        <span class="page-title">GALLERY PHOTOS</span>
    </div>
</div>
<div id="primary" class="content-area">
    <main id="main" class="site-main">
        <div class="album-gallery-photo">
            <h2 class="album-title"><?php echo $album->title; ?></h2>
            <?php if(!empty($photos)) { ?>
                <div class="photo-grid">
                    <?php foreach($photos as $photo) { ?>
                        <img src="<?php echo $url.$photo->image_path; ?>" alt="Photo <?php echo $photo->id; ?>" onclick="openModal(this.src)">
                    <?php } ?>
                </div>
            <?php } ?>
        </div>
        <div id="imageModal" class="modal">
            <span class="modal-close" onclick="closeModal()">&times;</span>
            <img id="modalImg" src="" alt="Full Size">
        </div>
    </main>
</div>
<script>
    function openModal(src) {
        const modal = document.getElementById('imageModal');
        const modalImg = document.getElementById('modalImg');
        modalImg.src = src;
        modal.classList.add('show');
    }
    
    function closeModal() {
        const modal = document.getElementById('imageModal');
        modal.classList.remove('show');
        document.getElementById('modalImg').src = '';
    }
    
    // Optional: close when clicking background
    document.getElementById('imageModal').addEventListener('click', function(e) {
        if (e.target === this) closeModal();
    });
</script>
<?php 
get_footer();