<?php
/**
 * Template Name: Gallery Page
 *
 * Description: This is a custom template for displaying committee page.
 */
get_header();

global $wpdb;

$url = 'https://chinmayaportal.relents.in/public/uploads/';
$featured_image_url = esc_url(wp_upload_dir()['baseurl'].'/2025/05/casc.jpg');
if (has_post_thumbnail()) {
    $featured_image_id = get_post_thumbnail_id();
    $featured_image_url = wp_get_attachment_url($featured_image_id);
}

$albums = $wpdb->get_results($wpdb->prepare("SELECT * FROM albums WHERE deleted_at IS NULL ORDER BY id DESC"));
?>
<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri()); ?>/css/department.css?version=1.3" type="text/css">
<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri()); ?>/css/custom-header.css" type="text/css">
<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri()); ?>/css/gallery.css" type="text/css">
<div class="custom-head" style="background-image: url('<?php echo esc_url($featured_image_url); ?>');">
    <div class="overlay"></div>
    <div class="custom-head-content">
        <span class="page-title">GALLERY</span>
    </div>
</div>
<div id="primary" class="content-area">
    <main id="main" class="site-main">
        <?php if(!empty($albums)) { ?>
            <div class="album-gallery">
                <?php foreach($albums as $album) { ?>
                    <div class="album">
                        <a href="<?php echo get_site_url().'/gallery-photos/?aid='.$album->id; ?>">
                            <div class="album-cover">
                                <img src="<?php echo $url.$album->cover_image; ?>" alt="<?php echo $album->title; ?>">
                            </div>
                            <div class="album-info">
                                <h3><?php echo $album->title; ?></h3>
                            </div>
                        </a>
                    </div>
                <?php } ?>
            </div>
        <?php } ?>
    </main>
</div>
<?php 
get_footer();