<?php
/**
 * Template Name: IQAC Page
 *
 * Description: This is a custom template for displaying IQAC page.
 */
get_header();

$featured_image_url = esc_url(wp_upload_dir()['baseurl'].'/2025/05/casc.jpg');
if (has_post_thumbnail()) {
    $featured_image_id = get_post_thumbnail_id();
    $featured_image_url = wp_get_attachment_url($featured_image_id);
}
?>
<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri()); ?>/css/department.css" type="text/css">
<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri()); ?>/css/custom-header.css" type="text/css">
<div class="custom-head" style="background-image: url('<?php echo esc_url($featured_image_url); ?>');">
    <div class="overlay"></div>
    <div class="custom-head-content">
        <span class="page-title">IQAC</span>
    </div>
</div>
<div id="primary" class="content-area">
    <main id="main" class="site-main">
		<div class="dep-menus">
			<ul class="dep-menus-list">
				<li><a href="<?php echo esc_url(home_url('/iqac/committee/')); ?>"><div class="dep-menu-icon <?php if(is_page('committee')){ echo 'ic-active'; } ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/group.svg" alt="Committee"></div><span>COMMITTEE</span></a></li>
				<li><a href="<?php echo esc_url(home_url('/iqac/aqars/')); ?>"><div class="dep-menu-icon <?php if(is_page('aqars')){ echo 'ic-active'; } ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/checklist.svg" alt="AQARs"></div><span>AQARS</span></a></li>
				<li><a href="<?php echo esc_url(home_url('/iqac/minutes-atrs/')); ?>"><div class="dep-menu-icon <?php if(is_page('minutes-atrs')){ echo 'ic-active'; } ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/clarify.svg" alt="Minutes & ATRs"></div><span>MINUTES & ATRS</span></a></li>
				<li><a href="<?php echo esc_url(home_url('/iqac/ssr-documents/')); ?>"><div class="dep-menu-icon <?php if(is_page('ssr-documents')){ echo 'ic-active'; } ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/resource.svg" alt="SSR Documents"></div><span>SSR DOCUMENTS</span></a></li>
				<li><a href="<?php echo esc_url(home_url('/iqac/composition/')); ?>"><div class="dep-menu-icon <?php if(is_page('composition')){ echo 'ic-active'; } ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/department.svg" alt="Composition"></div><span>COMPOSITION</span></a></li>
				<li><a href="<?php echo esc_url(home_url('/iqac/objectives/')); ?>"><div class="dep-menu-icon <?php if(is_page('objectives')){ echo 'ic-active'; } ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/target.svg" alt="Objectives"></div><span>OBJECTIVES</span></a></li>
				<li><a href="<?php echo esc_url(home_url('/iqac/nirf/')); ?>"><div class="dep-menu-icon <?php if(is_page('nirf')){ echo 'ic-active'; } ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/leaderboard.svg" alt="NIRF"></div><span>NIRF</span></a></li>
				<li><a href="<?php echo esc_url(home_url('/iqac/annual-report/')); ?>"><div class="dep-menu-icon <?php if(is_page('annual-report')){ echo 'ic-active'; } ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/icons/chart.svg" alt="Annual Report"></div><span>ANNUAL REPORT</span></a></li>
			</ul>
		</div>
		<div class="dep-title"><?php echo esc_html(get_the_title()); ?></div>
		<div class="dep-page">
            <?php
            // Start the loop.
            while (have_posts()) : the_post();
                // Output the post content
                the_content();
            // End the loop.
            endwhile;
            ?>
		</div>
    </main>
</div>
<?php 
get_footer();