function getQuestion(id){
    $(".btn-lib").removeClass('btn-success');
    $("#btn-"+id).addClass('btn-success');
    $("#question").empty();
    
    var year = $("#year").val();
    
    $.ajax({
        url: 'https://admin.stjosephscollege.ac.in/api/library-evaluation',
        method: 'GET',
        data: {id: id, year:year},
        success: function(response) {
            $('#question').html('<b>'+response.qno+'. '+response.question+'</b>');
            initializeChart(response.labels,response.counts);
        },
        error: function(xhr, status, error) {
            console.error('Error:', error);
            alert('An error occurred while fetching data.');
        }
    });
}

function initializeChart(chartLabel, chartCount) {
    
    var chartCanvas = document.getElementById('myChart');
    if(chartCanvas) {
        if (myChart instanceof Chart) {
            myChart.destroy();
        }
        
        myChart = new Chart(chartCanvas, {
            type: 'bar',
            data: {
                labels: chartLabel,
                datasets: [{
                    data: chartCount,
                    backgroundColor: [
                        'rgba(75, 192, 192, 0.7)',
                        'rgba(255, 99, 132, 0.7)',
                        'rgba(255, 205, 86, 0.7)',
                        'rgba(255, 159, 64, 0.7)',
                        'rgba(54, 162, 235, 0.7)',
                        'rgba(153, 102, 255, 0.7)',
                        'rgba(201, 203, 207, 0.7)'
                    ],
                    borderColor: [
                        'rgb(75, 192, 192)',
                        'rgb(255, 99, 132)',
                        'rgb(255, 205, 86)',
                        'rgb(255, 159, 64)',
                        'rgb(54, 162, 235)',
                        'rgb(153, 102, 255)',
                        'rgb(201, 203, 207)'
                    ],
                    borderWidth: 1
                }]
            },
            options: {
                responsive: true,
                plugins: {
                    legend: {
                        display: false
                    },
                    tooltip: {
                        enabled: true
                    }
                }
            }
        });
    } else {
        console.error('Canvas element not found.');
    }
}

getQuestion(1);