jQuery(document).ready(function($) {
    var slideWidth = $('.library-item').outerWidth(true); // Width of three items
    var currentPosition = 0;
    var interval = 3000; // Autoplay interval in milliseconds
    var itemsVisible = 3;
    if ($(window).width() <= 768) {
        itemsVisible = 1;
    } else if ($(window).width() <= 990) {
        itemsVisible = 2;
    }
    
    // Function to slide the carousel to the left
    function moveLeft() {
        currentPosition -= slideWidth;
        if (currentPosition < -(slideWidth * ($('.library-item').length - itemsVisible))) {
            currentPosition = 0; // Reset position to the beginning of the carousel
        }
        $('.library-content').css('transform', 'translateX(' + currentPosition + 'px)');
    };

    // Function to slide the carousel to the right
    function moveRight() {
        currentPosition += slideWidth;
        if (currentPosition > 0) {
            currentPosition = -(slideWidth * ($('.library-item').length - itemsVisible)); // Reset position to the end of the carousel
        }
        $('.library-content').css('transform', 'translateX(' + currentPosition + 'px)');
    };

    // Event handler for left control button
    $('#lcontrol1').on('click', function() {
        moveRight();
    });

    // Event handler for right control button
    $('#lcontrol2').on('click', function() {
        moveLeft();
    });

    // Autoplay functionality
    function autoSlide() {
        setInterval(function() {
            moveLeft();
        }, interval);
    }

    autoSlide();
});