document.addEventListener('DOMContentLoaded', function() {
    let currentSlide = 0;
    const slides = document.querySelectorAll('.sjc-slide');
    const totalSlides = slides.length;

    function showSlide(index) {
        // Hide all slides
        slides.forEach((slide, i) => {
            slide.classList.remove('sjc-slide-active');
        });

        // Show the slide at the current index
        slides[index].classList.add('sjc-slide-active');
    }

    function nextSlide() {
        currentSlide = (currentSlide + 1) % totalSlides;
        showSlide(currentSlide);
    }

    // Auto change slide every 3 seconds
    setInterval(nextSlide, 3000);

    // Initially show the first slide
    showSlide(currentSlide);
});
