<?php
/**
 * Template Name: News Page
 *
 * Description: This is a custom template for displaying news page.
 */
get_header();

global $wpdb;

$featured_image_url = esc_url(wp_upload_dir()['baseurl'].'/2025/05/casc.jpg');
if (has_post_thumbnail()) {
    $featured_image_id = get_post_thumbnail_id();
    $featured_image_url = wp_get_attachment_url($featured_image_id);
}


$id=''; $result=array();
if($_GET['id'] && $_GET['id']!=''){ 
    $id = $_GET['id'];
    $result = $wpdb->get_row($wpdb->prepare("SELECT * FROM news WHERE id='$id'"));
}
?>
<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri()); ?>/css/department.css" type="text/css">
<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri()); ?>/css/custom-header.css" type="text/css">
<div class="custom-head" style="background-image: url('<?php echo esc_url($featured_image_url); ?>');">
    <div class="overlay"></div>
    <div class="custom-head-content">
        <span class="page-title"><?php echo esc_html(get_the_title()); ?></span>
    </div>
</div>
<div id="primary" class="content-area">
    <main id="main" class="site-main">
        <div class="row">
            <div class="col-12 p-5">
                <div class="row">
                    <div class="col-12 p-5" style="padding: 30px;">
                        <div class="row">
                            <div class="col-12">
                                <div class="form-group">
                                    <h4><?php echo $result->title; ?></h4>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <?php if($result->date) { ?>
                                <div class="col-12 col-sm-4">
                                    <div class="form-group">
                                        <i class="fa-solid fa-calendar"></i> <?php echo date('d F Y', strtotime($result->date)); ?>
                                    </div>
                                </div>
                            <?php } ?>
                        </div>
                        <div class="row">
                            <div class="col-12">
                                <div class="form-group">
                                    <?php echo $result->description; ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>
</div>
<?php 
get_footer();