<?php
/**
 * The Template for displaying all single posts.
 *
 * @package Educamp
 */
get_header(); 

$featured_image_url = esc_url(wp_upload_dir()['baseurl'].'/2025/05/casc.png');
if (has_post_thumbnail()) {
    $featured_image_id = get_post_thumbnail_id();
    $featured_image_url = wp_get_attachment_url($featured_image_id);
}
?>
<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri()); ?>/template/department.css" type="text/css">
<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri()); ?>/template/custom-header.css" type="text/css">
<div class="custom-head" style="background-image: url('<?php echo esc_url($featured_image_url); ?>');">
    <div class="overlay"></div>
    <div class="custom-head-content">
        <span class="page-title"><?php echo esc_html(get_the_title()); ?></span>
    </div>
</div>
<div id="primary" class="content-area">
	<main id="main" class="site-main">
		<div class="post-container">
			<?php while (have_posts()) : the_post(); ?>
				<div class="post-content">
					<div class="post-title"><?php echo get_the_title(); ?></div>
					<div class="post-date"><?php echo get_the_date(); ?></div>
					<div class="post-image"><img src="<?php echo get_the_post_thumbnail_url(); ?>"></div>
					<div class="post-content"><?php echo get_the_content(); ?></div>
				</div>
			<?php endwhile; ?>
		</div>
	</main>
</div>
<?php get_footer(); ?>